
get_filename_component(_qt5_install_prefix ${CMAKE_CURRENT_LIST_DIR}/../../../ ABSOLUTE)

set(Qt5Core_VERSION_MAJOR 5)
set(Qt5Core_VERSION_MINOR 0)
set(Qt5Core_VERSION_PATCH 0)

set(Qt5Core_LIBRARY Qt5Core)

set(Qt5Core_HEADER_DIR "${_qt5_install_prefix}/include" )

set(Qt5Core_INCLUDE_DIRS "${Qt5Core_HEADER_DIR}" "${_qt5_install_prefix}/include/QtCore")

set(Qt5Core_LIBRARY_DIR "${_qt5_install_prefix}/lib")

string(TOUPPER Core _CMAKE_MODULE_NAME_UPPER)
set(Qt5Core_DEFINITIONS -DQT_${_CMAKE_MODULE_NAME_UPPER}_LIB)

set(_Qt5_MODULE_DEPENDENCIES "")

if (NOT "true" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5CoreConfigExtras.cmake")
endif()

if (NOT "true" STREQUAL "")
    include("${CMAKE_CURRENT_LIST_DIR}/Qt5CoreMacros.cmake")
endif()

if (NOT _Qt5Core_target)
    set(_Qt5Core_target 1)
    add_library(Qt5Core SHARED IMPORTED)
    if (NOT "" STREQUAL "")
        set_property(TARGET Qt5Core PROPERTY FRAMEWORK 1)
    endif()
endif()

if (NOT "debug" STREQUAL "")
    set_property(TARGET Qt5Core APPEND PROPERTY IMPORTED_CONFIGURATIONS DEBUG)
    set_target_properties(Qt5Core PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_DEBUG ""
        IMPORTED_LOCATION_DEBUG "${_qt5_install_prefix}/lib/QtCored5.dll"
    )
    if (NOT "QtCored5.lib" STREQUAL "")
        set_target_properties(Qt5Core PROPERTIES
            IMPORTED_IMPLIB_DEBUG "${_qt5_install_prefix}/lib/QtCored5.lib"
        )
    endif()
endif()

if (NOT "release" STREQUAL "")
    set_property(TARGET Qt5Core APPEND PROPERTY IMPORTED_CONFIGURATIONS RELEASE)
    set_target_properties(Qt5Core PROPERTIES
        IMPORTED_LINK_INTERFACE_LIBRARIES_RELEASE ""
        IMPORTED_LOCATION_RELEASE "${_qt5_install_prefix}/lib/QtCore5.dll"
    )
    if (NOT "QtCore5.lib" STREQUAL "")
        set_target_properties(Qt5Core PROPERTIES
            IMPORTED_IMPLIB_RELEASE "${_qt5_install_prefix}/lib/QtCore5.lib"
        )
    endif()
endif()
